language: cn
model_unique_abbr: ProfileCurvature_whiteboxtools
version: 2.1.0
identification:
  docker_image_name: whitebox-tools:2.0.0
  model_name: 剖面曲率
  semantic: curvature
  description: 计算局部地形在截面处的形状特征以及凹凸变化程度的算法
  category_application: 处方型
  category_data:
  - DEM数据
  keywords:
  - 地形分析
  - 水文分析

parameter_info:
  parameters:
  - arg_name: r
    param_type: param
    visible: false
    name: 地貌分析
    description: 根据输入 DEM 计算切向曲率栅格
    is_required: false
    data_type: str
    data_semantic: Geomorphometric Analysis
    specification:
      default: ProfileCurvature
  - arg_name: i
    param_type: input_data
    name: 输入栅格 DEM 文件
    description: 输入栅格 DEM 文件
    data_type: tif
    data_semantic: filled_dem
  - arg_name: o
    param_type: output_data
    name: 输出栅格文件
    description: 输出栅格文件
    data_type: tif
    data_semantic: profile_curvature
  - arg_name: log
    is_single_en_dash: false
    param_type: param
    name: 对数转换输出
    description: 使用对数刻度显示输出值
    is_required: false
    data_type: bool
    data_semantic: Log-transform the output
    specification:
      default: "false"
  - arg_name: zfactor
    is_single_en_dash: false
    param_type: param
    name: Z 转换因子
    description: 可选乘法器，用于垂直和水平单位不相同时
    is_required: false
    data_type: float
    data_semantic: Z Conversion Factor
    param_switches:
    specification:
      default: 1
application:
  domain: 地形因子提取
  objective: 垂直曲率
  mechanism: 此工具可计算剖面（或垂直）曲率，或沿流线的斜率变化率，从数字高程模型 （DEM） 获取。它是具有共同切线的正态截面的曲率在表面上给定点处具有坡度线的线。此变量具有无界可以采用正值或负值的范围。该指数的正值表示流动加速度，而负曲线曲率值表示流量减速。
operation:
  usage: 用户必须指定输入DEM和输出光栅图像的名称。仅当DEM中的垂直和水平单位不相同时，Z转换因子才重要。在这种情况下，算法会将DEM中的每个高程乘以Z转换因子。
  exec_example:
  - docker run -it -v C:\Users\38646\Desktop\data\:/data crazyzlj/whitebox_tools:1.1  -r=ProfileCurvature --dem=/data/example_3857.tif -o=/data/output.tif
  output_display:
  - 以栅格DEM为输入数据，输出数据为地形曲率栅格。
technique:
  language:
  - Rust
  os:
  - Linux
  - Windows
source:
  maintainer: Xuandi Liu
  organization: Beijing University of Civil Engineering and Architecture
  contact: lxd386469007@163.com
  repository: https://www.whiteboxgeo.com/manual/wbt_book/available_tools/geomorphometric_analysis.html#ProfileCurvature
  integrated_softwares:
  - name: whitebox-tools
    version: 2.1.0
    license: The MIT License (MIT)
  references:
  - "Shary, P. A., Sharaya, L. S., Mitusov, A. V. 2002. Fundamental quantitative methods of land surface analysis. Geoderma, 107(1-2):1–32."
  - https://www.whiteboxgeo.com/manual/wbt_book/available_tools/geomorphometric_analysis.html?highlight=Curvature#profilecurvature
